// gets each sensor passed in by their uid and 
// then returns true if none of them are tripped
noneTripped = true;

for (var key in uidTags) {
  var uidThing = mcApi.uidTag().getByUid(uidTags[key]);
  if (uidThing && uidThing.getResource().value === "1") {
    noneTripped = false;
    break;
  }
}

noneTripped;